post
https://api.instantpay.in/identity/vehicleChallan
This API allows you to access information related to vehicle traffic violations (challans) in a structured, automated way. When a vehicle owner is fined for a traffic rule violation, a challan is issued. The Vehicle Challan API provides a way to fetch this challan information on the basis of registration number, without manually visiting transport department websites.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Header Parameters
| Name | Type | Description | Mandatory (M) , Optional (O) | Provided by INSTANTPAY (Y/N) |
|---|---|---|---|---|
| X-Ipay-Auth-Code | String | Auth Code is "1" (Fixed) | M | Y |
| X-Ipay-Client-Id | String | Unique Client Id Provided by Instantpay | M | Y |
| X-Ipay-Client-Secret | String | Unique Client Secret Provided by Instantpay | M | Y |
| X-Ipay-Endpoint-Ip | String | End customer IP Address | M | Y |
Request Parameters
| Parameter Name | Type | Requirement | Description |
|---|---|---|---|
| vehicleRegistrationNumber | String | Mandatory | Vehicle Registration Number |
| latitude | String | Mandatory | End Customer Latitude. |
| longitude | String | Mandatory | End Customer Longitude |
| externalRef | String | Mandatory | Your Unique Transaction id |
| consent | String | Mandatory | Consent should be accepted by customer |
Sample Request
curl --location 'https://api.instantpay.in/identity/vehicleChallan' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
"vehicleRegistrationNumber": "HR0620220012345",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"externalRef" : "{{random}}",
"consent" : "Y"
}'POST /identity/vehicleChallan HTTP/2.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json
{
"vehicleRegistrationNumber": "HR0620220012345",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"externalRef" : "{{random}}",
"consent" : "Y"
}Response Parameters
| Parameter Name | Type | Description |
|---|---|---|
| statuscode | String | Instantpay Status Code |
| actcode | String | Action Code |
| status | Array | Status message |
| data | String | Response Data(if Present) |
| timestamp | String | Response time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id(if transaction otherwise it is null) |
| environment | String | Live/Sandbox |
| internalCode | String | It will be null |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Transaction Successful",
"data": {
"vehicalData": [
{
"userName": null,
"accusedFatherName": "John Doe",
"accusedName": "",
"rcRegistrationNumber": "UP85BX1180",
"challanNumber": "UP912241012xxxxxx",
"challanId": 1,
"challanDate": "2024-10-12",
"challanStatus": "Pending",
"challanAmount": "1000",
"rcStateCode": "UP",
"challanReceiptUrl": null,
"challanPaymentSource": null,
"challanPaymentDate": null,
"offences": [
{
"offenceName": "Violation of not wearing Helmet (Notification Dt : 30-07-2020)",
"offenceFine": null,
"motorVehicleAct": "194 D"
}
]
},
{
"userName": null,
"accusedFatherName": "TEJVEER",
"accusedName": "Rxx KUxxx",
"rcRegistrationNumber": "UP85BXxxxx",
"challanNumber": "UP163633230928xxxxx",
"challanId": 2,
"challanDate": "2023-09-28",
"challanStatus": "Pending",
"challanAmount": "1000",
"rcStateCode": "UP",
"challanReceiptUrl": null,
"challanPaymentSource": null,
"challanPaymentDate": null,
"offences": [
{
"offenceName": "Driving Two-wheeled without helmets",
"offenceFine": null,
"motorVehicleAct": "Section 194 D of MVA 1988 RW section 129 of CMVA and rule 121 of U.P. MVR 1998."
}
]
}
],
"poolReferenceId": "1000987654321EZFJY",
"pool": {
"openingBal": "99083.14",
"mode": "DR",
"amount": "5.90",
"closingBal": "99077.24"
}
},
"timestamp": "2024-10-23 10:30:06",
"ipay_uuid": "h06896097f63-XXXX-XXXX-XXXX-794c62d59494",
"orderid": "1000987654321EZFJY",
"environment": "SANDBOX"
}
